Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.resource.service
Interface AbstractResourceHandle

All Known Subinterfaces:
  ResourceHandle, ResourceService

All Known Implementing Classes:
  LiveResourceHandle, LiveResourceService, SimulatedResourceHandle, SimulatedResourceService

    public interface AbstractResourceHandle

Author:
  Cyril Briquet

Method Summary
`int` | `cacheCapacity()`
`void` | `cancelTask()`
`java.lang.String` | `id()`
`boolean` | `idle()`
`boolean` | `isAlive()`
`Task` | `runningTask()` Deprecated.
`boolean` | `runTask(Task t, GridData[][] working_set)`
`boolean` | `setWorkingSet(GridData[][] working_set)`
`long` | `taskStartTime()`

Method Detail

### id

    java.lang.String id()

### cacheCapacity

    int cacheCapacity()

### idle

    boolean idle()

### isAlive

    boolean isAlive()

### runningTask

    @Deprecated
    Task runningTask()

  Deprecated.

### setWorkingSet

    boolean setWorkingSet(GridData[][] working_set)
                          throws GridException

  Returns:
    true if the data described by the working set can be stored in the Resource data cache, or false if the working set size is larger than the cache limit, or if the data couldn't be scheduled for download
  Throws:
    `GridException`

### runTask

    boolean runTask(Task t,
                    GridData[][] working_set)
                    throws GridException

  Returns:
    true if the data described by the working set can be stored in the Resource data cache, or false if the working set size is larger than the cache limit, or if the data couldn't be scheduled for download
  Throws:
    `GridException`

### cancelTask

    void cancelTask()
                    throws GridException

  Throws:
    `GridException`

### taskStartTime

    long taskStartTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.